## org.apache.lucene.queryParser.core.nodes
Class AnyQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.BooleanQueryNode
              org.apache.lucene.queryParser.core.nodes.AndQueryNode
                  org.apache.lucene.queryParser.core.nodes.AnyQueryNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, QueryNode

    public class AnyQueryNode

extends AndQueryNode

A `AnyQueryNode` represents an ANY operator performed on a list of nodes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`AnyQueryNode(java.util.List<QueryNode> clauses, java.lang.CharSequence field, int minimumMatchingElements)`

Method Summary
`QueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`java.lang.CharSequence` `getField()` returns null if the field was not specified
`java.lang.String` `getFieldAsString()` returns - null if the field was not specified
`int` `getMinimumMatchingElements()`
`void` `setField(java.lang.CharSequence field)`
`java.lang.CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`java.lang.String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyQueryNode

    public AnyQueryNode(java.util.List<QueryNode> clauses,
                        java.lang.CharSequence field,
                        int minimumMatchingElements)

Parameters:
  `clauses` - - the query nodes to be or'ed

Method Detail

### getMinimumMatchingElements

    public int getMinimumMatchingElements()

### getField

    public java.lang.CharSequence getField()

  returns null if the field was not specified

  Returns:
    the field

### getFieldAsString

    public java.lang.String getFieldAsString()

  returns - null if the field was not specified

  Returns:
    the field as a String

### setField

    public void setField(java.lang.CharSequence field)

  Parameters:
    `field` - - the field to set

### cloneTree

    public QueryNode cloneTree()
                        throws java.lang.CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `BooleanQueryNode`
  Returns:
    the cloned tree
  Throws:
    `java.lang.CloneNotSupportedException`

### toString

    public java.lang.String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `AndQueryNode`
  See Also:
    `QueryNode.toString()`

### toQueryString

    public java.lang.CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`
  Overrides:
    `toQueryString` in class `AndQueryNode`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.